Bug 507118 - firefox crashing
firefox crashing
Status: CLOSED DUPLICATE of bug 506952
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 22:35 EDT by Jonathan Kamens
Modified: 2009-06-21 10:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 10:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-06-20 22:35:24 EDT
Just upgraded from rawhide.  Firefox isn't working anymore.  Below is what I see when I try to run it.  Suspect that this is a gcc bug, since similar behavior I've seen from other packages has been explained away as a gcc bug.  Really, until the gcc bug is fixed, don't y'all think you should stop recompiling packages in rawhide?

Script started on Sat 20 Jun 2009 10:31:56 PM EDT
0;jik@jik2:/usr/src/packages/vendor?1034hjik2:/usr/src/packages/vendor!1001$ firefox
*** buffer overflow detected ***: /usr/lib/firefox-3.5b4/firefox terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0x4aabd8]
/lib/libc.so.6[0x4a8d90]
/lib/libc.so.6(__strcpy_chk+0x44)[0x4a8074]
/usr/lib/xulrunner-1.9.1/libmozjs.so[0x18f89c]
/usr/lib/xulrunner-1.9.1/libmozjs.so[0x18f98d]
/usr/lib/xulrunner-1.9.1/libmozjs.so[0x18fb85]
/usr/lib/xulrunner-1.9.1/libmozjs.so[0x13a908]
/usr/lib/xulrunner-1.9.1/libmozjs.so[0x13aafa]
/usr/lib/xulrunner-1.9.1/libmozjs.so[0x17c1ec]
/usr/lib/xulrunner-1.9.1/libmozjs.so(JS_CompileUCScriptForPrincipals+0x5e)[0x11f235]
/usr/lib/xulrunner-1.9.1/libmozjs.so(JS_CompileScriptForPrincipals+0x46)[0x1222ac]
/usr/lib/xulrunner-1.9.1/libxul.so[0xd1edc4]
/usr/lib/xulrunner-1.9.1/libxul.so[0xd2001a]
/usr/lib/xulrunner-1.9.1/libxul.so[0x15ddb14]
/usr/lib/xulrunner-1.9.1/libxul.so[0x15ddedf]
/usr/lib/xulrunner-1.9.1/libxul.so[0x15ddfdf]
/usr/lib/xulrunner-1.9.1/libxul.so[0x15dee3b]
/usr/lib/xulrunner-1.9.1/libxul.so(NS_InitXPCOM3_P+0x7f8)[0x15b4fd2]
/usr/lib/xulrunner-1.9.1/libxul.so[0xcaeb8e]
/usr/lib/xulrunner-1.9.1/libxul.so(XRE_main+0x271f)[0xcb1e6c]
/usr/lib/firefox-3.5b4/firefox[0x8049b05]
/lib/libc.so.6(__libc_start_main+0xe6)[0x3c9a66]
/usr/lib/firefox-3.5b4/firefox[0x8049541]
======= Memory map: ========
00110000-00210000 r-xp 00000000 08:01 9470465	 /usr/lib/xulrunner-1.9.1/libmozjs.so
00210000-00216000 rw-p 00100000 08:01 9470465	 /usr/lib/xulrunner-1.9.1/libmozjs.so
00216000-0024d000 r-xp 00000000 08:01 15665652	 /lib/libnspr4.so
0024d000-0024f000 rw-p 00036000 08:01 15665652	 /lib/libnspr4.so
0024f000-00250000 rw-p 00000000 00:00 0
00250000-00266000 r-xp 00000000 08:01 15663164	 /lib/libnssutil3.so
00266000-00269000 rw-p 00015000 08:01 15663164	 /lib/libnssutil3.so
00269000-002e7000 r-xp 00000000 08:01 9437807	 /usr/lib/libcairo.so.2.10800.8
002e7000-002e9000 rw-p 0007e000 08:01 9437807	 /usr/lib/libcairo.so.2.10800.8
002e9000-002f1000 r-xp 00000000 08:01 9439871	 /usr/lib/libXrender.so.1.3.0
002f1000-002f2000 rw-p 00007000 08:01 9439871	 /usr/lib/libXrender.so.1.3.0
002f2000-002f5000 r-xp 00000000 08:01 15663171	 /lib/libgmodule-2.0.so.0.2102.0
002f5000-002f6000 rw-p 00002000 08:01 15663171	 /lib/libgmodule-2.0.so.0.2102.0
002f6000-0031b000 r-xp 00000000 08:01 15663231	 /lib/libsmime3.so
0031b000-0031d000 rw-p 00025000 08:01 15663231	 /lib/libsmime3.so
0031d000-0032f000 r-xp 00000000 08:01 15665621	 /lib/libz.so.1.2.3
0032f000-00330000 rw-p 00011000 08:01 15665621	 /lib/libz.so.1.2.3
00330000-0033a000 r-xp 00000000 08:01 9437251	 /usr/lib/libpangocairo-1.0.so.0.2400.2
0033a000-0033b000 rw-p 00009000 08:01 9437251	 /usr/lib/libpangocairo-1.0.so.0.2400.2
0033b000-0033d000 rwxp 00000000 00:00 0
0033d000-0036b000 r-xp 00000000 08:01 15663230	 /lib/libssl3.so
0036b000-0036d000 rw-p 0002d000 08:01 15663230	 /lib/libssl3.so
0036d000-0038e000 r-xp 00000000 08:01 9439608	 /usr/lib/libdbus-glib-1.so.2.1.0
0038e000-0038f000 rw-p 00020000 08:01 9439608	 /usr/lib/libdbus-glib-1.so.2.1.0
0038f000-003af000 r-xp 00000000 08:01 15665608	 /lib/ld-2.10.1.so
003af000-003b0000 r--p 0001f000 08:01 15665608	 /lib/ld-2.10.1.so
003b0000-003b1000 rw-p 00020000 08:01 15665608	 /lib/ld-2.10.1.so
003b1000-003b3000 rwxp 00000000 00:00 0
003b3000-0051e000 r-xp 00000000 08:01 15665619	 /lib/libc-2.10.1.so
0051e000-0051f000 ---p 0016b000 08:01 15665619	 /lib/libc-2.10.1.so
0051f000-00521000 r--p 0016b000 08:01 15665619	 /lib/libc-2.10.1.so
00521000-00522000 rw-p 0016d000 08:01 15665619	 /lib/libc-2.10.1.so
00522000-00525000 rw-p 00000000 00:00 0
00525000-00527000 rwxp 00000000 00:00 0
00527000-0054d000 r-xp 00000000 08:01 15665629	 /lib/libm-2.10.1.so
0054d000-0054e000 r--p 00025000 08:01 15665629	 /lib/libm-2.10.1.so
0054e000-0054f000 rw-p 00026000 08:01 15665629	 /lib/libm-2.10.1.so
00551000-00554000 r-xp 00000000 08:01 15665628	 /lib/libdl-2.10.1.so
00554000-00555000 r--p 00002000 08:01 15665628	 /lib/libdl-2.10.1.so
00555000-00556000 rw-p 00003000 08:01 15665628	 /lib/libdl-2.10.1.so
00558000-0056e000 r-xp 00000000 08:01 15665623	 /lib/libpthread-2.10.1.so
0056e000-0056f000 ---p 00016000 08:01 15665623	 /lib/libpthread-2.10.1.so
0056f000-00570000 r--p 00016000 08:01 15665623	 /lib/libpthread-2.10.1.so
00570000-00571000 rw-p 00017000 08:01 15665623	 /lib/libpthread-2.10.1.so
00571000-00573000 rw-p 00000000 00:00 0
00573000-005a5000 r-xp 00000000 08:01 9437220	 /usr/lib/libfontconfig.so.1.3.0
005a5000-005a6000 rw-p 00031000 08:01 9437220	 /usr/lib/libfontconfig.so.1.3.0
005a6000-005a7000 rw-p 00000000 00:00 0
005a7000-005e6000 r-xp 00000000 08:01 15665639	 /lib/libdbus-1.so.3.4.0
005e6000-005e7000 r--p 0003e000 08:01 15665639	 /lib/libdbus-1.so.3.4.0
005e7000-005e8000 rw-p 0003f000 08:01 15665639	 /lib/libdbus-1.so.3.4.0
005e8000-0062d000 r-xp 00000000 08:01 15663173	 /lib/libgobject-2.0.so.0.2102.0
0062d000-0062e000 rw-p 00045000 08:01 15663173	 /lib/libgobject-2.0.so.0.2102.0
0062e000-00657000 r-xp 00000000 08:01 9437847	 /usr/lib/libpangoft2-1.0.so.0.2400.2
00657000-00658000 rw-p 00028000 08:01 9437847	 /usr/lib/libpangoft2-1.0.so.0.2400.2
00658000-00673000 r-xp 00000000 08:01 9437867	 /usr/lib/libatk-1.0.so.0.2511.1
00673000-00675000 rw-p 0001a000 08:01 9437867	 /usr/lib/libatk-1.0.so.0.2511.1
00675000-00679000 r-xp 00000000 08:01 15663176	 /lib/libgthread-2.0.so.0.2102.0
00679000-0067a000 rw-p 00003000 08:01 15663176	 /lib/libgthread-2.0.so.0.2102.0
0067a000-0067e000 r-xp 00000000 08:01 15663199	 /lib/libcap.so.2.16
0067e000-0067f000 rw-p 00003000 08:01 15663199	 /lib/libcap.so.2.16
0067f000-00683000 r-xp 00000000 08:01 9439873	 /usr/lib/libXfixes.so.3.1.0
00683000-00684000 rw-p 00003000 08:01 9439873	 /usr/lib/libXfixes.so.3.1.0
00684000-00686000 r-xp 00000000 08:01 9439881	 /usr/lib/libXinerama.so.1.0.0
00686000-00687000 rw-p 00001000 08:01 9439881	 /usr/lib/libXinerama.so.1.0.0
00687000-00689000 r-xp 00000000 08:01 9439939	 /usr/lib/libXcomposite.so.1.0.0
00689000-0068a000 rw-p 00001000 08:01 9439939	 /usr/lib/libXcomposite.so.1.0.0
0068b000-00692000 r-xp 00000000 08:01 15665625	 /lib/librt-2.10.1.so
00692000-00693000 r--p 00006000 08:01 15665625	 /lib/librt-2.10.1.so
00693000-00694000 rw-p 00007000 08:01 15665625	 /lib/librt-2.10.1.so
00694000-0077b000 r-xp 00000000 08:01 15663165	 /lib/libglib-2.0.so.0.2102.0
0077b000-0077c000 rw-p 000e7000 08:01 15663165	 /lib/libglib-2.0.so.0.2102.0
0077c000-0079a000 r-xp 00000000 08:01 9439936	 /usr/lib/libgdk_pixbuf-2.0.so.0.1702.0
0079a000-0079b000 rw-p 0001d000 08:01 9439936	 /usr/lib/libgdk_pixbuf-2.0.so.0.1702.0
0079b000-0079d000 r-xp 00000000 08:01 9439943	 /usr/lib/libXdamage.so.1.1.0
0079d000-0079e000 rw-p 00001000 08:01 9439943	 /usr/lib/libXdamage.so.1.1.0
0079f000-007a0000 r-xp 00000000 00:00 0		 [vdso]
007a0000-007c7000 r-xp 00000000 08:01 9437200	 /usr/lib/libpng12.so.0.37.0
007c7000-007c8000 rw-p 00026000 08:01 9437200	 /usr/lib/libpng12.so.0.37.0
007c8000-007cf000 r-xp 00000000 08:01 9439872	 /usr/lib/libXrandr.so.2.2.0
007cf000-007d0000 rw-p 00006000 08:01 9439872	 /usr/lib/libXrandr.so.2.2.0
007d0000-007fa000 r-xp 00000000 08:01 15663177	 /lib/libgcc_s-4.4.0-20090615.so.1
007fa000-007fb000 rw-p 0002a000 08:01 15663177	 /lib/libgcc_s-4.4.0-20090615.so.1
007fb000-0083f000 r-xp 00000000 08:01 9437840	 /usr/lib/libpango-1.0.so.0.2400.2
0083f000-00841000 rw-p 00043000 08:01 9437840	 /usr/lib/libpango-1.0.so.0.2400.2
00841000-00866000 r-xp 00000000 08:01 15665643	 /lib/libexpat.so.1.5.2
00866000-00868000 rw-p 00024000 08:01 15665643	 /lib/libexpat.so.1.5.2
00869000-008f7000 r-xp 00000000 08:01 9437219	 /usr/lib/libfreetype.so.6.3.20
008f7000-008fb000 rw-p 0008e000 08:01 9437219	 /usr/lib/libfreetype.so.6.3.20
008fb000-008fd000 r-xp 00000000 08:01 9439847	 /usr/lib/libXau.so.6.0.0
008fd000-008fe000 rw-p 00001000 08:01 9439847	 /usr/lib/libXau.so.6.0.0
008fe000-009e6000 r-xp 00000000 08:01 9437286	 /usr/lib/libstdc++.so.6.0.12
009e6000-009ea000 r--p 000e8000 08:01 9437286	 /usr/lib/libstdc++.so.6.0.12
009ea000-009eb000 rw-p 000ec000 08:01 9437286	 /usr/lib/libstdc++.so.6.0.12
009eb000-009f2000 rw-p 00000000 00:00 0
009f2000-00a3c000 r-xp 00000000 08:01 9437242	 /usr/lib/libpixman-1.so.0.15.12
00a3c000-00a3e000 rw-p 00049000 08:01 9437242	 /usr/lib/libpixman-1.so.0.15.12
00a3e000-00a59000 r-xp 00000000 08:01 9439853	 /usr/lib/libxcb.so.1.1.0
00a59000-00a5a000 rw-p 0001b000 08:01 9439853	 /usr/lib/libxcb.so.1.1.0
00a5a000-00a6e000 r-xp 00000000 08:01 15665632	 /lib/libresolv-2.10.1.so
00a6e000-00a6f000 ---p 00014000 08:01 15665632	 /lib/libresolv-2.10.1.so
00a6f000-00a70000 r--p 00014000 08:01 15665632	 /lib/libresolv-2.10.1.so
00a70000-00a71000 rw-p 00015000 08:01 15665632	 /lib/libresolv-2.10.1.so
00a71000-00a73000 rw-p 00000000 00:00 0
00a73000-00a8e000 r-xp 00000000 08:01 15663399	 /lib/libselinux.so.1
00a8e000-00a8f000 r--p 0001b000 08:01 15663399	 /lib/libselinux.so.1
00a8f000-00a90000 rw-p 0001c000 08:01 15663399	 /lib/libselinux.so.1
00a90000-00a94000 r-xp 00000000 08:01 15665635	 /lib/libattr.so.1.1.0
00a94000-00a95000 rw-p 00003000 08:01 15665635	 /lib/libattr.so.1.1.0
00a96000-00a9a000 r-xp 00000000 08:01 15665654	 /lib/libplc4.so
00a9a000-00a9b000 rw-p 00003000 08:01 15665654	 /lib/libplc4.so
00a9b000-00aaa000 r-xp 00000000 08:01 9439861	 /usr/lib/libXext.so.6.4.0
00aaa000-00aab000 rw-p 0000f000 08:01 9439861	 /usr/lib/libXext.so.6.4.0
00aab000-00ab8000 r-xp 00000000 08:01 9439919	 /usr/lib/libXi.so.6.0.0
00ab8000-00ab9000 rw-p 0000c000 08:01 9439919	 /usr/lib/libXi.so.6.0.0
00ab9000-00ac2000 r-xp 00000000 08:01 9439880	 /usr/lib/libXcursor.so.1.0.2
00ac2000-00ac3000 rw-p 00008000 08:01 9439880	 /usr/lib/libXcursor.so.1.0.2
00ac3000-00aca000 r-xp 00000000 08:01 9438739	 /usr/lib/libSM.so.6.0.0
00aca000-00acb000 rw-p 00006000 08:01 9438739	 /usr/lib/libSM.so.6.0.0
00acb000-00ae2000 r-xp 00000000 08:01 9439840	 /usr/lib/libICE.so.6.3.0
00ae2000-00ae3000 rw-p 00016000 08:01 9439840	 /usr/lib/libICE.so.6.3.0
00ae3000-00ae5000 rw-p 00000000 00:00 0
00ae5000-00ae9000 r-xp 00000000 08:01 15663192	 /lib/libuuid.so.1.2
00ae9000-00aea000 rw-p 00003000 08:01 15663192	 /lib/libuuid.so.1.2
00aea000-00aee000 r-xp 00000000 08:01 9470470	 /usr/lib/xulrunner-1.9.1/libxpcom.so
00aee000-00aef000 rw-p 00003000 08:01 9470470	 /usr/lib/xulrunner-1.9.1/libxpcom.so
00aef000-00afa000 r-xp 00000000 08:01 15665589	 /lib/libnss_files-2.10.1.so
00afa000-00afb000 r--p 0000a000 08:01 15665589	 /lib/libnss_files-2.10.1.so
00afb000-00afc000 rw-p 0000b000 08:01 15665589	 /lib/libnss_files-2.10.1.so
00afc000-00afe000 r-xp 00000000 08:01 9519728	 /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00afe000-00aff000 rw-p 00001000 08:01 9519728	 /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00aff000-00b03000 r-xp 00000000 08:01 9520219	 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00b03000-00b04000 rw-p 00003000 08:01 9520219	 /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00b04000-00b07000 r-xp 00000000 08:01 9439595	 /usr/lib/libcanberra-gtk.so.0.0.5
00b07000-00b08000 rw-p 00002000 08:01 9439595	 /usr/lib/libcanberra-gtk.so.0.0.5
00b08000-00b0d000 r-xp 00000000 08:01 9437533	 /usr/lib/libogg.so.0.6.0
00b0d000-00b0e000 rw-p 00004000 08:01 9437533	 /usr/lib/libogg.so.0.6.0
00b0e000-00b10000 r-xp 00000000 08:01 15665653	 /lib/libplds4.so
00b10000-00b11000 rw-p 00002000 08:01 15665653	 /lib/libplds4.so
00b11000-01d90000 r-xp 00000000 08:01 9470450	 /usr/lib/xulrunner-1.9.1/libxul.so
01d90000-01e89000 rw-p 0127e000 08:01 9470450	 /usr/lib/xulrunner-1.9.1/libxul.so
01e89000-01e99000 rw-p 00000000 00:00 0
01e99000-01f3e000 r-xp 00000000 08:01 9439930	 /usr/lib/libgdk-x11-2.0.so.0.1702.0
01f3e000-01f41000 rw-p 000a5000 08:01 9439930	 /usr/lib/libgdk-x11-2.0.so.0.1702.0
01f41000-01f50000 r-xp 00000000 08:01 9441041	 /usr/lib/libcanberra.so.0.1.5
01f50000-01f51000 rw-p 0000e000 08:01 9441041	 /usr/lib/libcanberra.so.0.1.5
01f51000-01f61000 r-xp 00000000 08:01 9439099	 /usr/lib/libavahi-client.so.3.2.5
01f61000-01f62000 rw-p 0000f000 08:01 9439099	 /usr/lib/libavahi-client.so.3.2.5
01f62000-01f64000 r-xp 00000000 08:01 15665650	 /lib/libutil-2.10.1.so
01f64000-01f65000 r--p 00001000 08:01 15665650	 /lib/libutil-2.10.1.so
01f65000-01f66000 rw-p 00002000 08:01 15665650	 /lib/libutil-2.10.1.so
01f66000-01f68000 r-xp 00000000 08:01 9748848	 /usr/lib/gconv/ISO8859-1.so
01f68000-01f69000 r--p 00001000 08:01 9748848	 /usr/lib/gconv/ISO8859-1.so
01f69000-01f6a000 rw-p 00002000 08:01 9748848	 /usr/lib/gconv/ISO8859-1.so
01f6a000-01f6c000 r-xp 00000000 08:01 9748902	 /usr/lib/gconv/UTF-16.so
01f6c000-01f6d000 r--p 00001000 08:01 9748902	 /usr/lib/gconv/UTF-16.so
01f6d000-01f6e000 rw-p 00002000 08:01 9748902	 /usr/lib/gconv/UTF-16.so
02000000-020de000 r-xp 00000000 08:01 15665641	 /lib/libasound.so.2.0.0
020de000-020e2000 rw-p 000dd000 08:01 15665641	 /lib/libasound.so.2.0.0
020e2000-02233000 r-xp 00000000 08:01 9437675	 /usr/lib/libcrypto.so.0.9.8k
02233000-02249000 rw-p 00150000 08:01 9437675	 /usr/lib/libcrypto.so.0.9.8k
02249000-0224d000 rw-p 00000000 00:00 0
0224d000-022e7000 r-xp 00000000 08:01 9437677	 /usr/lib/libkrb5.so.3.3
022e7000-022e9000 rw-p 0009a000 08:01 9437677	 /usr/lib/libkrb5.so.3.3
0236a000-02371000 r-xp 00000000 08:01 9439926	 /usr/lib/libgailutil.so.18.0.1
02371000-02372000 rw-p 00006000 08:01 9439926	 /usr/lib/libgailutil.so.18.0.1
02542000-0254a000 r-xp 00000000 08:01 9438781	 /usr/lib/libvorbisfile.so.3.3.1
0254a000-0254b000 rw-p 00007000 08:01 9438781	 /usr/lib/libvorbisfile.s/usr/lib/firefox-3.5b4/run-mozilla.sh: line 131:  5305 Aborted			(core dumped) "$prog" ${1+"$@"}
Comment 1 Yanko Kaneti 2009-06-21 10:36:41 EDT

*** This bug has been marked as a duplicate of bug 506952 ***

Note You need to log in before you can comment on or make changes to this bug.